diff StoneWebViewer/Plugin/docker-internal.sh @ 1496:d450653b46d3

build stone web viewer using docker
author Sebastien Jodogne <s.jodogne@gmail.com>
date Thu, 25 Jun 2020 17:50:36 +0200
parents
children f12b56839496
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/StoneWebViewer/Plugin/docker-internal.sh	Thu Jun 25 17:50:36 2020 +0200
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -ex
+
+# Get the Orthanc framework
+cd /tmp/
+hg clone https://hg.orthanc-server.com/orthanc/
+
+# Make a copy of the read-only folder containing the source code into
+# a writeable folder, because of "DownloadPackage.cmake" that writes
+# to the "ThirdPartyDownloads" folder next to the "CMakeLists.txt"
+cd /source
+hg clone /source /tmp/source-writeable
+
+mkdir /tmp/build
+cd /tmp/build
+
+cmake /tmp/source-writeable/StoneWebViewer/Plugin \
+      -DCMAKE_BUILD_TYPE=$1 \
+      -DCMAKE_INSTALL_PREFIX=/target/ \
+      -DCMAKE_TOOLCHAIN_FILE=/tmp/orthanc/Resources/LinuxStandardBaseToolchain.cmake \
+      -DORTHANC_FRAMEWORK_ROOT=/tmp/orthanc \
+      -DSTATIC_BUILD=ON \
+      -G Ninja
+
+ninja -j2 install